## log4cpp-doc 0.3.5

=== Makefile ===
# Makefile.in generated by automake 1.9.5 from Makefile.am.
# doc/html/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/log4cpp
pkglibdir = $(libdir)/log4cpp
pkgincludedir = $(includedir)/log4cpp
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
subdir = doc/html
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/AC_CREATE_PREFIX_CONFIG_H.m4 \
	$(top_srcdir)/m4/AC_CXX_HAVE_SSTREAM.m4 \
	$(top_srcdir)/m4/AC_CXX_NAMESPACES.m4 \
	$(top_srcdir)/m4/AC_C_INT64_T.m4 \
	$(top_srcdir)/m4/AC_FUNC_SNPRINTF.m4 \
	$(top_srcdir)/m4/BB_CHECK_OMNITHREADS.m4 \
	$(top_srcdir)/m4/BB_CHECK_PTHREADS.m4 \
	$(top_srcdir)/m4/BB_ENABLE_DOXYGEN.m4 \
	$(top_srcdir)/m4/PETI_PEDANTIC_GCC.m4 \
	$(top_srcdir)/m4/ac_config_libconfig_in.m4 \
	$(top_srcdir)/m4/ac_config_pkgconfig_in.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/include/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/waffel/projects/log4cpp/config/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/waffel/projects/log4cpp/config/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/waffel/projects/log4cpp/config/missing --run autoconf
AUTOHEADER = ${SHELL} /home/waffel/projects/log4cpp/config/missing --run autoheader
AUTOMAKE = ${SHELL} /home/waffel/projects/log4cpp/config/missing --run automake-1.9
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -Wno-unused -pedantic
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -Wall -Wno-unused -pedantic
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DOC_FALSE = #
DOC_TRUE = 
DOT = /usr/bin/dot
DOXYGEN = /usr/bin/doxygen
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = g77
FFLAGS = -g -O2
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -lnsl 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LOG4CPP_CONFIG = log4cpp-config
LOG4CPP_CONFLICTS = 
LOG4CPP_PKGCONFIG = log4cpp-config
LOG4CPP_REQUIRES = 
LOG4CPP_VERSION = 0.3.5rc3
LTLIBOBJS = 
LT_VERSION = 4:5:0
MAKEINFO = ${SHELL} /home/waffel/projects/log4cpp/config/missing --run makeinfo
OBJEXT = o
PACKAGE = log4cpp
PACKAGE_BUGREPORT = 
PACKAGE_NAME = log4cpp
PACKAGE_STRING = log4cpp 0.3.5rc3
PACKAGE_TARNAME = log4cpp
PACKAGE_VERSION = 0.3.5rc3
PATH_SEPARATOR = :
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 0.3.5rc3
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = g77
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
enable_dot = yes
enable_html_docs = yes
enable_latex_docs = no
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/waffel/projects/log4cpp/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
log4cpp_cflags = -g -O2
log4cpp_libs = -llog4cpp -lnsl 
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = 
target_alias = 
EXTRA_DIST = \
	index.html \
	default.css \
	sflogo.png 

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  doc/html/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  doc/html/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-libtool

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-exec install-exec-am \
	install-info install-info-am install-man install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am \
	uninstall-info-am

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## log4cpp-doc 0.2.5-2

=== debian/changelog ===
log4cpp-doc (0.2.5-2) unstable; urgency=low

  * Fix lintian error (debian-changelog-file-contains-user-emacs-settings).

 -- Marcel Harkema <marcel@debian.org>  Tue, 9 October 2001 13:53:14 +0200

log4cpp-doc (0.2.5-1) unstable; urgency=low

  * New upstream version.

 -- Marcel Harkema <marcel@debian.org>  Mon, 11 June 2001 18:27:13 +0100

log4cpp-doc (0.2.4b-1) unstable; urgency=low

  * New upstream version.
  * More precise build-depends.  Split -doc package, doxygen & graphviz are
    no longer needed. (Closes: #93843)

 -- Marcel Harkema <marcel@debian.org>  Sat, 21 April 2001 11:12:39 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: log4cpp-doc
Section: devel
Priority: optional
Maintainer: Marcel Harkema <marcel@debian.org>
Standards-Version: 3.5.2
Build-Depends: debhelper (>> 3.0.0)

Package: liblog4cpp-doc
Architecture: all
Conflicts: liblog4cpp0-doc
Replaces: liblog4cpp0-doc
Description: A C++ library for flexible logging (documentation)
 Log for C++ is a library of C++ classes for flexible logging to files,
 syslog and other destinations. It is modeled after the Log for
 Java library (http://jakarta.apache.org/log4j/), staying as close to
 their API as is reasonable.

## log4cpp-doc 0.2.7-1

=== debian/changelog ===
log4cpp-doc (0.2.7-1) unstable; urgency=low

  * New upstream.

 -- Marcel Harkema <marcel@debian.org>  Tue, 28 January 2003 10:02:00 +0100

## log4cpp-doc 0.2.8-1

=== debian/changelog ===
log4cpp-doc (0.2.8-1) unstable; urgency=low

  * Latest stable upstream release.

 -- Marcel Harkema <marcel@debian.org>  Wed, 21 July 2004 10:43:00 +0200

log4cpp-doc (0.2.7-2) unstable; urgency=low

  * Moved package to doc section (was devel).

 -- Marcel Harkema <marcel@debian.org>  Thu, 24 April 2003 09:25:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: log4cpp-doc
-Section: devel
+Section: doc
 Priority: optional
 Maintainer: Marcel Harkema <marcel@debian.org>
 Standards-Version: 3.5.2

## log4cpp-doc 0.2.8-2

=== debian/changelog ===
log4cpp-doc (0.2.8-2) unstable; urgency=low

  * QA Group upload orphaning this package

 -- Andrew Pollock <apollock@debian.org>  Fri, 18 Mar 2005 15:06:24 +1100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: log4cpp-doc
 Section: doc
 Priority: optional
-Maintainer: Marcel Harkema <marcel@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 3.5.2
 Build-Depends: debhelper (>> 3.0.0)

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# This has to be exported to make some magic below work.
export DH_OPTIONS

build: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	-$(MAKE) distclean
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	mkdir -p debian/liblog4cpp-doc/usr/share/doc/liblog4cpp-doc/
	cp -a html debian/liblog4cpp-doc/usr/share/doc/liblog4cpp-doc/

binary-arch: install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installman
	dh_installcron
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_makeshlibs --noscripts
	dh_installdeb
#	dh_perl
	dh_strip
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch
.PHONY: build clean binary-arch binary install

## log4cpp-doc 1.0

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-# Makefile.in generated by automake 1.9.5 from Makefile.am.
+# Makefile.in generated by automake 1.10 from Makefile.am.
 # doc/html/Makefile.  Generated from Makefile.in by configure.
 
 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
-# 2003, 2004, 2005  Free Software Foundation, Inc.
+# 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
 # with or without modifications, as long as this notice is preserved.
@@ -13,15 +13,11 @@
 # PARTICULAR PURPOSE.
 
 
-srcdir = .
-top_srcdir = ../..
 
 pkgdatadir = $(datadir)/log4cpp
 pkglibdir = $(libdir)/log4cpp
 pkgincludedir = $(includedir)/log4cpp
-top_builddir = ../..
 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
-INSTALL = /usr/bin/install -c
 install_sh_DATA = $(install_sh) -c -m 644
 install_sh_PROGRAM = $(install_sh) -c
 install_sh_SCRIPT = $(install_sh) -c
@@ -38,13 +34,12 @@
 subdir = doc/html
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
-am__aclocal_m4_deps = $(top_srcdir)/m4/AC_CREATE_PREFIX_CONFIG_H.m4 \
+am__aclocal_m4_deps = $(top_srcdir)/m4/ACX_PTHREAD.m4 \
+	$(top_srcdir)/m4/AC_CREATE_PREFIX_CONFIG_H.m4 \
 	$(top_srcdir)/m4/AC_CXX_HAVE_SSTREAM.m4 \
 	$(top_srcdir)/m4/AC_CXX_NAMESPACES.m4 \
 	$(top_srcdir)/m4/AC_C_INT64_T.m4 \
 	$(top_srcdir)/m4/AC_FUNC_SNPRINTF.m4 \
-	$(top_srcdir)/m4/BB_CHECK_OMNITHREADS.m4 \
-	$(top_srcdir)/m4/BB_CHECK_PTHREADS.m4 \
 	$(top_srcdir)/m4/BB_ENABLE_DOXYGEN.m4 \
 	$(top_srcdir)/m4/PETI_PEDANTIC_GCC.m4 \
 	$(top_srcdir)/m4/ac_config_libconfig_in.m4 \
@@ -58,79 +53,80 @@
 SOURCES =
 DIST_SOURCES =
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/waffel/projects/log4cpp/config/missing --run aclocal-1.9
-AMDEP_FALSE = #
-AMDEP_TRUE = 
+ACLOCAL = ${SHELL} /home/waffel/projects/log4cpp/config/missing --run aclocal-1.10
 AMTAR = ${SHELL} /home/waffel/projects/log4cpp/config/missing --run tar
 AR = ar
 AUTOCONF = ${SHELL} /home/waffel/projects/log4cpp/config/missing --run autoconf
 AUTOHEADER = ${SHELL} /home/waffel/projects/log4cpp/config/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/waffel/projects/log4cpp/config/missing --run automake-1.9
+AUTOMAKE = ${SHELL} /home/waffel/projects/log4cpp/config/missing --run automake-1.10
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
-CFLAGS = -g -O2 -Wall -Wno-unused -pedantic
+CFLAGS = -pthread  -O2 -DNDEBUG -Wall -Wno-unused -pedantic
 CPP = gcc -E
 CPPFLAGS = 
 CXX = g++
 CXXCPP = g++ -E
 CXXDEPMODE = depmode=gcc3
-CXXFLAGS = -g -O2 -Wall -Wno-unused -pedantic
+CXXFLAGS = -pthread  -O2 -DNDEBUG -Wall -Wno-unused -pedantic
 CYGPATH_W = echo
 DEFS = -DHAVE_CONFIG_H
 DEPDIR = .deps
-DOC_FALSE = #
-DOC_TRUE = 
 DOT = /usr/bin/dot
 DOXYGEN = /usr/bin/doxygen
 ECHO = echo
 ECHO_C = 
 ECHO_N = -n
 ECHO_T = 
-EGREP = grep -E
+EGREP = /bin/grep -E
 EXEEXT = 
-F77 = g77
+F77 = gfortran
 FFLAGS = -g -O2
+GREP = /bin/grep
+INSTALL = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
-INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
+INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
 LDFLAGS = 
 LIBOBJS = 
-LIBS = -lnsl 
+LIBS =  -lnsl 
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
 LN_S = ln -s
 LOG4CPP_CONFIG = log4cpp-config
 LOG4CPP_CONFLICTS = 
 LOG4CPP_PKGCONFIG = log4cpp-config
 LOG4CPP_REQUIRES = 
-LOG4CPP_VERSION = 0.3.5rc3
+LOG4CPP_VERSION = 1.0
 LTLIBOBJS = 
-LT_VERSION = 4:5:0
+LT_VERSION = 4:6:0
 MAKEINFO = ${SHELL} /home/waffel/projects/log4cpp/config/missing --run makeinfo
+MKDIR_P = /bin/mkdir -p
 OBJEXT = o
 PACKAGE = log4cpp
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = log4cpp
-PACKAGE_STRING = log4cpp 0.3.5rc3
+PACKAGE_STRING = log4cpp 1.0
 PACKAGE_TARNAME = log4cpp
-PACKAGE_VERSION = 0.3.5rc3
+PACKAGE_VERSION = 1.0
 PATH_SEPARATOR = :
+PTHREAD_CC = gcc
+PTHREAD_CFLAGS = -pthread
+PTHREAD_LIBS = 
 RANLIB = ranlib
+SED = /usr/bin/sed
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = strip
-VERSION = 0.3.5rc3
-ac_ct_AR = ar
+VERSION = 1.0
+abs_builddir = /home/waffel/projects/log4cpp/doc/html
+abs_srcdir = /home/waffel/projects/log4cpp/doc/html
+abs_top_builddir = /home/waffel/projects/log4cpp
+abs_top_srcdir = /home/waffel/projects/log4cpp
 ac_ct_CC = gcc
 ac_ct_CXX = g++
-ac_ct_F77 = g77
-ac_ct_RANLIB = ranlib
-ac_ct_STRIP = strip
-am__fastdepCC_FALSE = #
-am__fastdepCC_TRUE = 
-am__fastdepCXX_FALSE = #
-am__fastdepCXX_TRUE = 
+ac_ct_F77 = gfortran
+acx_pthread_config = 
 am__include = include
 am__leading_dot = .
 am__quote = 
@@ -142,34 +138,45 @@
 build_cpu = i686
 build_os = linux-gnu
 build_vendor = pc
-datadir = ${prefix}/share
+builddir = .
+datadir = ${datarootdir}
+datarootdir = ${prefix}/share
+docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
+dvidir = ${docdir}
 enable_dot = yes
 enable_html_docs = yes
-enable_latex_docs = no
+enable_latex_docs = yes
 exec_prefix = ${prefix}
 host = i686-pc-linux-gnu
 host_alias = 
 host_cpu = i686
 host_os = linux-gnu
 host_vendor = pc
+htmldir = ${docdir}
 includedir = ${prefix}/include
-infodir = ${prefix}/info
-install_sh = /home/waffel/projects/log4cpp/config/install-sh
+infodir = ${datarootdir}/info
+install_sh = $(SHELL) /home/waffel/projects/log4cpp/config/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
+localedir = ${datarootdir}/locale
 localstatedir = ${prefix}/var
-log4cpp_cflags = -g -O2
-log4cpp_libs = -llog4cpp -lnsl 
-mandir = ${prefix}/man
-mkdir_p = mkdir -p --
+log4cpp_cflags = -pthread  -O2 -DNDEBUG
+log4cpp_libs = -llog4cpp  -lnsl 
+mandir = ${datarootdir}/man
+mkdir_p = /bin/mkdir -p
 oldincludedir = /usr/include
-prefix = /usr/local
+pdfdir = ${docdir}
+prefix = /home/waffel/log4cpp
 program_transform_name = s,x,x,
+psdir = ${docdir}
 sbindir = ${exec_prefix}/sbin
 sharedstatedir = ${prefix}/com
+srcdir = .
 sysconfdir = ${prefix}/etc
 target = 
 target_alias = 
+top_builddir = ../..
+top_srcdir = ../..
 EXTRA_DIST = \
 	index.html \
 	default.css \
@@ -213,10 +220,6 @@
 
 clean-libtool:
 	-rm -rf .libs _libs
-
-distclean-libtool:
-	-rm -f libtool
-uninstall-info-am:
 tags: TAGS
 TAGS:
 
@@ -225,22 +228,21 @@
 
 
 distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
-	list='$(DISTFILES)'; for file in $$list; do \
-	  case $$file in \
-	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
-	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
-	  esac; \
+	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+	list='$(DISTFILES)'; \
+	  dist_files=`for file in $$list; do echo $$file; done | \
+	  sed -e "s|^$$srcdirstrip/||;t" \
+	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
+	case $$dist_files in \
+	  */*) $(MKDIR_P) `echo "$$dist_files" | \
+			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
+			   sort -u` ;; \
+	esac; \
+	for file in $$dist_files; do \
 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
-	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
-	    dir="/$$dir"; \
-	    $(mkdir_p) "$(distdir)$$dir"; \
-	  else \
-	    dir=''; \
-	  fi; \
 	  if test -d $$d/$$file; then \
+	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
 	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
 	    fi; \
@@ -285,7 +287,7 @@
 
 distclean: distclean-am
 	-rm -f Makefile
-distclean-am: clean-am distclean-generic distclean-libtool
+distclean-am: clean-am distclean-generic
 
 dvi: dvi-am
 
@@ -299,11 +301,19 @@
 
 install-data-am:
 
+install-dvi: install-dvi-am
+
 install-exec-am:
 
+install-html: install-html-am
+
 install-info: install-info-am
 
 install-man:
+
+install-pdf: install-pdf-am
+
+install-ps: install-ps-am
 
 installcheck-am:
 
@@ -323,17 +333,20 @@
 
 ps-am:
 
-uninstall-am: uninstall-info-am
+uninstall-am:
+
+.MAKE: install-am install-strip
 
 .PHONY: all all-am check check-am clean clean-generic clean-libtool \
 	distclean distclean-generic distclean-libtool distdir dvi \
 	dvi-am html html-am info info-am install install-am \
-	install-data install-data-am install-exec install-exec-am \
-	install-info install-info-am install-man install-strip \
+	install-data install-data-am install-dvi install-dvi-am \
+	install-exec install-exec-am install-html install-html-am \
+	install-info install-info-am install-man install-pdf \
+	install-pdf-am install-ps install-ps-am install-strip \
 	installcheck installcheck-am installdirs maintainer-clean \
 	maintainer-clean-generic mostlyclean mostlyclean-generic \
-	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am \
-	uninstall-info-am
+	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.

=== debian/changelog ===
log4cpp-doc (1.0-4) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.8 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 30 Nov 2024 17:50:42 +0100

log4cpp-doc (1.0-3) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #879407)

 -- Marcos Talau <talau@debian.org>  Thu, 10 Nov 2022 06:51:14 -0300

log4cpp-doc (1.0-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 16:34:55 +0100

log4cpp-doc (1.0-2) unstable; urgency=medium

  * Switch to dh (Closes: #831927)
  * Add Homepage field to point to upstream homepage (Closes: #615324)

 -- Fathi Boudra <fabo@debian.org>  Thu, 22 Dec 2016 10:31:52 +0200

log4cpp-doc (1.0-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fboudra@free.fr>  Thu, 04 Oct 2007 12:33:52 +0200

log4cpp-doc (0.3.5-rc3-1) unstable; urgency=low

  * New maintainer.
  * New upstream release.

 -- Fathi Boudra <fboudra@free.fr>  Mon, 26 Jun 2006 18:27:25 +0200

=== debian/control ===
Source: log4cpp-doc
Section: doc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Homepage: http://log4cpp.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/debian/log4cpp-doc
Vcs-Git: https://salsa.debian.org/debian/log4cpp-doc.git

Package: liblog4cpp-doc
Architecture: all
Conflicts: liblog4cpp0-doc,
Replaces: liblog4cpp0-doc,
Depends: ${misc:Depends},
Description: C++ library for flexible logging (documentation)
 Log for C++ is a library of C++ classes for flexible logging to files,
 syslog and other destinations. It is modeled after the Log for
 Java library (http://jakarta.apache.org/log4j/), staying as close to
 their API as is reasonable.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

%:
	dh $@

override_dh_installdocs:
	dh_installdocs default.css index.html sflogo.png api
	# useless-autogenerated-doxygen-file
	find debian/liblog4cpp-doc/usr/share/doc/liblog4cpp-doc/api/ -type f -name '*.md5' -delete

override_dh_auto_clean override_dh_auto_build override_dh_auto_test override_dh_auto_install:
